Subject: Re: [PATCH net-next 00/16] Clean driver, module and FW versions

From: Leon Romanovsky <[email-masked]>
Date: Sat, 22 Feb 2020 09:27:50 +0200

On Fri, Feb 21, 2020 at 11:35:20AM -0800, David Miller wrote:
> From: Jakub Kicinski <[email-masked]>
> Date: Thu, 20 Feb 2020 17:17:14 -0800
>
> > A few minor nit picks I registered, IDK how hard we want to press
> > on these:
> >
> >  - it seems in couple places you remove the last user of DRV_RELDATE,
> >    but not the define. In case of bonding maybe we can remove the date
> >    too. IDK what value it brings in the description, other than perhaps
> >    humoring people;
> >  - we should probably give people a heads up by CCing maintainers
> >    (regardless of how dumb we find not bothering to read the ML as
> >    a maintainer);
> >  - one on the FW below..
> >
> >> As part of this series, I deleted various creative attempts to mark
> >> absence of FW. There is no need to set "N/A" in ethtool ->fw_version
> >> field and it is enough to do not set it.
> >
> > These seem reasonable to me, although in abundance of caution it could
> > be a good idea to have them as separate commits so we can revert more
> > easily. Worse come to worst.
>
> Leon please address this feedback as it seems reasonable to me.

Of course, it was just weekend here, so I wasn't near computer too much :).

Thanks